Bug 736435

Summary: kernel network driver ath9k causes connection problems with TP-Link TL WN951 Atheros AR5008
Product: [Fedora] Fedora Reporter: melchiaros
Component: kernelAssignee: John W. Linville <linville>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: alex, bill-bugzilla.redhat.com, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mehmet.ali.anil, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-11 13:54:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg output none

Description melchiaros 2011-09-07 13:03:13 EDT
Created attachment 521948 [details]
dmesg output

Description of problem:I have this(see summary) for long under openSUSE11.4. Now with my switch to fedora 15 it comes with.

After several hours I lost wireless network connection. Only a complete shut down and a start helps.

-> I attach the dmesg output and make a link to the openSUSE Bug.


Version-Release number of selected component (if applicable):

[user@localhost ~]$ rpm -qa|grep kernel
arm-gp2x-linux-kernel-headers-2.6.12.0-5.fc15.noarch
kernel-debug-2.6.40.3-0.fc15.x86_64
kernel-2.6.38.6-26.rc1.fc15.x86_64
abrt-addon-kerneloops-2.0.3-2.fc15.x86_64
kernel-devel-2.6.40.3-0.fc15.x86_64
kernel-headers-2.6.40.3-0.fc15.x86_64
kernel-2.6.40.3-0.fc15.x86_64
kker


-> I´ve checked the changelog for kernel3.0.4 -> nothing about ath9k

How reproducible:
always - in a sense of daily one time

Steps to Reproduce:
1.have the wireless card(summary)
2.use ath9k - do not want to use madwifi which also not work and is not in the kernel
3.
  
Actual results:
disconnecting wireless card


Expected results:

stable wireless network 

Additional info:

It stands realy on the breaks. -> Have big downloads of databases(bioinformatic here)-> so leaving the computer alone for long time is not possible
Comment 1 melchiaros 2011-09-07 13:09:26 EDT
In the openSUSE bugtracker you can find it with:

https://bugzilla.novell.com/show_bug.cgi?id=709436
Comment 2 John W. Linville 2011-10-17 11:22:21 EDT
*** Bug 738382 has been marked as a duplicate of this bug. ***
Comment 3 Mehmet Ali Anil 2011-11-10 12:22:01 EST
I am forwarded to this bug from https://bugzilla.redhat.com/show_bug.cgi?id=699366


Here's my problem with the AR2427 adapter, if another perspective will help:

I'm using the same netbook with F16.
A newly booted machine works fine, it can connect to the router with no
problem. 
But after a while, while using the PC, or in a suspended state, the wireless is
down. Network manager tries to reinstantiate the connection, but no luck,
everytime as if the password didn't match, it asks me what the password to the
router is. 

Here's an excerpt of my /var/log/messages file, while this is the case. 

Nov 7 22:45:18 mali-joli kernel: [ 3080.375494] ath: Chip reset failed
Nov 7 22:45:18 mali-joli kernel: [ 3080.375506] ath: Unable to reset channel
(2442 MHz), reset status -22
Nov 7 22:45:18 mali-joli kernel: [ 3080.375566] ath: Unable to set channel
Nov 7 22:45:18 mali-joli kernel: [ 3080.440662] ath: Failed to stop TX DMA!
Nov 7 22:45:18 mali-joli kernel: [ 3080.453490] ath: DMA failed to stop in 10
ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
Nov 7 22:45:18 mali-joli kernel: [ 3080.453499] ath: Could not stop RX, we
could be confusing the DMA engine when we start RX up
Nov 7 22:45:18 mali-joli kernel: [ 3080.568834] ath: Chip reset failed
Nov 7 22:45:18 mali-joli kernel: [ 3080.568845] ath: Unable to reset channel
(2447 MHz), reset status -22
Nov 7 22:45:18 mali-joli kernel: [ 3080.568890] ath: Unable to set channel
Nov 7 22:45:18 mali-joli kernel: [ 3080.633893] ath: Failed to stop TX DMA!
Nov 7 22:45:18 mali-joli kernel: [ 3080.646695] ath: DMA failed to stop in 10
ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
Nov 7 22:45:18 mali-joli kernel: [ 3080.646705] ath: Could not stop RX, we
could be confusing the DMA engine when we start RX up

There's a huge number of this in the log. 

Also, when the wireless is shut down from the menu, (that good looking on-off
switch) it can't be made "on" again, the wireless hardware becomes
"unavailable".

I can give you more information, but I should be guided a bit.
Comment 4 Bill McGonigle 2012-03-11 15:39:12 EDT
This looks like the bug I'm hitting too.  My disconnects were frequent under f14, but under f16, it can go for days without a problem.  Reloading the module will fix the problem.  Can others try that to see if their problems are the same?:

  sudo modprobe -r ath9k
  sudo modprobe ath9k

here's my log:

Mar 11 14:52:48 morla kernel: [1125679.846125] ath: Unable to reset channel, reset status -5
Mar 11 14:52:48 morla kernel: [1125679.846239] ath: Unable to set channel
Mar 11 14:52:48 morla kernel: [1125679.964509] ath: Could not kill baseband RX
Mar 11 14:52:48 morla kernel: [1125680.083272] ath: Unable to reset channel, reset status -5
Mar 11 14:52:48 morla kernel: [1125680.083360] ath: Unable to set channel
Mar 11 14:52:49 morla kernel: [1125680.201306] ath: Could not kill baseband RX
Mar 11 14:52:49 morla kernel: [1125680.320382] ath: Unable to reset channel, reset status -5
Mar 11 14:52:49 morla kernel: [1125680.320457] ath: Unable to set channel
Mar 11 14:52:49 morla kernel: [1125680.438899] ath: Unable to reset channel, reset status -5
Mar 11 14:52:49 morla kernel: [1125680.438955] ath: Unable to set channel

Hardware is:

05:01.0 Network controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)
        Subsystem: Atheros Communications Inc. Device 3071
        Flags: bus master, 66MHz, medium devsel, latency 168, IRQ 17
        Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [40] #80 [0000]
        Kernel driver in use: ath9k
        Kernel modules: ath9k
Comment 5 Josh Boyer 2012-07-11 13:54:12 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.
Comment 6 Bill McGonigle 2012-07-11 14:20:14 EDT
Please re-open per Fedora 16 symptoms.  I get atk9k disconnects on f17 too, but I don't have a log to upload to show it at the moment.
Comment 7 Josh Boyer 2012-07-11 14:33:10 EDT
What F16/F17 kernel verion is having this issue?  If it isn't 3.4.4-4.fc16 or 3.4.4-5.fc17, please try those first.
Comment 8 Bill McGonigle 2012-07-11 14:42:43 EDT
That machine is currently running:

  kernel-3.4.3-1.fc17.x86_64

I'll reboot it tonight.  It usually takes a day or two for ath9k to go away.

BTW, I replaced the 802.11g access point with 802.11n, and it was on an open network, now on WPA2, so those variables didn't make the difference.

The new AP is a Netgear wndr3700, so it's atheros to atheros on the air interface.
Comment 9 Bill McGonigle 2012-07-23 15:53:25 EDT
No disconnects attributable to ath9k so far with kernel 3.4.4-5.fc17.